Subject: Re: MUCH faster cygwin.dll was RE:Time and motion studies of gcc and egcs and LCC
From: [email-masked] (Mikey)

17 Feb 1998 17:18:27 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked] (Trevor Yann), [email-masked]

As I understand it, each 32 bit process gets
it's own VM from create process.

NT/9x kernel guru comments?

0x78000000 aka MSVCRT.DLL base
would be preferred, since you CAN'T link
both cygwin.dll, and msvcrt.dll (crtdll.dll 0x7fd10000) in the
same image/VM, someday we MAY be able to link with
mfcXX.dll ;^)

The speedup is from stripping the .reloc section.
rebasing has no (or at most very minimal) effect
on time spent in relocation processing.

On Tue, 17 Feb 1998 09:10:15 +1100, you wrote:

>Mikey wrote:
>> 
>
><stuff deleted>
>
>> Geoff I would recommend using --image-base=0x78000000
>> for cygwin.dll same as MSVCRT.DLL which is relocatable
>> and should never be loaded in the same VM anyway.
>
>
>This might not be a good assumption - the next version of Mingw32 looks
>like it will use MSVCRT.DLL:
>
>"The next version of Mingw32 will be 0.2.0, and will offer capabilities
>for using the MSVC libraries instead of CRTDLL (which may or may not be
>a Good Thing- comments are welcome)"
>
>(From the Mingw32 web page at
>http://www.fu.is.saga-u.ac.jp/~colin/gcc.html)
>
>
>Maybe --image-base=0x5f400000 would be better. This is the same as
>mfc42.dll.
>
>Once a dll is stripped of relocation information, it will only load if
>the required address range (starting at the image base) is available.
>Just changing the image base without stripping the relocation
>information is safer.

but much slower ;^)

>
>Is most of the speed up a result of changing the image base, or from the
>stripping afterwards? (I got a new machine recently, and haven't
>reinstalled the gnuwin32 stuff yet).
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".